Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.conversation.jsf.components.facelets
Class ConverterTagHandler

    java.lang.Object
      javax.faces.view.facelets.TagHandler
          org.apache.myfaces.orchestra.conversation.jsf.components.facelets.ConverterTagHandler

All Implemented Interfaces:
  javax.faces.view.facelets.FaceletHandler

    public class ConverterTagHandler

extends javax.faces.view.facelets.TagHandler

Field Summary

Fields inherited from class javax.faces.view.facelets.TagHandler
`nextHandler, tag, tagId`

Constructor Summary
`ConverterTagHandler(javax.faces.view.facelets.TagConfig config)`

Method Summary
`void` | `apply(javax.faces.view.facelets.FaceletContext faceletContext, javax.faces.component.UIComponent parent)`
`protected static javax.faces.convert.Converter` | `createConverter(String beanName)` Override this method in order to customise the bean instance.

Methods inherited from class javax.faces.view.facelets.TagHandler
`getAttribute, getRequiredAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConverterTagHandler

    public ConverterTagHandler(javax.faces.view.facelets.TagConfig config)

Method Detail

### apply

    public void apply(javax.faces.view.facelets.FaceletContext faceletContext,
                      javax.faces.component.UIComponent parent)
               throws IOException,
                      javax.faces.FacesException,
                      javax.faces.view.facelets.FaceletException,
                      javax.el.ELException

  Throws:
    `IOException`
    `javax.faces.FacesException`
    `javax.faces.view.facelets.FaceletException`
    `javax.el.ELException`

### createConverter

    protected static javax.faces.convert.Converter createConverter(String beanName)

  Override this method in order to customise the bean instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.